oracle.pg.nosql

## Enum OraclePropertyGraph.QueueAction

- java.lang.Object
- - java.lang.Enum<OraclePropertyGraph.QueueAction>
  - - oracle.pg.nosql.OraclePropertyGraph.QueueAction

- All Implemented Interfaces:
    Serializable, Comparable<OraclePropertyGraph.QueueAction>
  Enclosing class:
    OraclePropertyGraph

      public static enum OraclePropertyGraph.QueueAction
      extends Enum<OraclePropertyGraph.QueueAction>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD`
    `REMOVE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OraclePropertyGraph.QueueAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OraclePropertyGraph.QueueAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADD

          public static final OraclePropertyGraph.QueueAction ADD

    - #### REMOVE

          public static final OraclePropertyGraph.QueueAction REMOVE

  - ### Method Detail

    - #### valueOf

          public static OraclePropertyGraph.QueueAction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static OraclePropertyGraph.QueueAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OraclePropertyGraph.QueueAction c : OraclePropertyGraph.QueueAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

Copyright © 2015 Oracle and/or its afflilates. All Rights Reserved.